{
  "name": "bodyshop",
  "version": "0.2.1",
  "engines": {
    "node": "18.18.2"
  },
  "type": "module",
  "private": true,
  "proxy": "http://localhost:4000",
  "dependencies": {
    "@ant-design/compatible": "^5.1.2",
    "@ant-design/pro-layout": "^7.17.16",
    "@apollo/client": "^3.8.10",
    "@asseinfo/react-kanban": "^2.2.0",
    "@fingerprintjs/fingerprintjs": "^4.2.2",
    "@jsreport/browser-client": "^3.1.0",
    "@reduxjs/toolkit": "^2.2.1",
    "@sentry/cli": "^2.28.6",
    "@sentry/react": "^7.104.0",
    "@splitsoftware/splitio-react": "^1.11.0",
    "@tanem/react-nprogress": "^5.0.51",
    "@vitejs/plugin-react": "^4.2.1",
    "antd": "^5.15.3",
    "apollo-link-logger": "^2.0.1",
    "apollo-link-sentry": "^3.3.0",
    "axios": "^1.6.7",
    "dayjs": "^1.11.10",
    "dayjs-business-days2": "^1.2.2",
    "dinero.js": "^1.9.1",
    "dotenv": "^16.4.5",
    "env-cmd": "^10.1.0",
    "exifr": "^7.1.3",
    "firebase": "^10.8.1",
    "graphql": "^16.6.0",
    "i18next": "^23.10.0",
    "i18next-browser-languagedetector": "^7.0.2",
    "libphonenumber-js": "^1.10.57",
    "logrocket": "^8.0.1",
    "markerjs2": "^2.32.0",
    "normalize-url": "^8.0.0",
    "prop-types": "^15.8.1",
    "query-string": "^9.0.0",
    "react": "^18.2.0",
    "react-big-calendar": "^1.11.0",
    "react-color": "^2.19.3",
    "react-cookie": "^7.1.0",
    "react-dom": "^18.2.0",
    "react-drag-listview": "^2.0.0",
    "react-grid-gallery": "^1.0.0",
    "react-grid-layout": "1.3.4",
    "react-i18next": "^14.0.5",
    "react-icons": "^5.0.1",
    "react-image-lightbox": "^5.1.4",
    "react-joyride": "^2.7.4",
    "react-markdown": "^9.0.1",
    "react-number-format": "^5.3.3",
    "react-product-fruits": "^2.2.6",
    "react-redux": "^9.1.0",
    "react-resizable": "^3.0.5",
    "react-router-dom": "^6.22.2",
    "react-scripts": "^5.0.1",
    "react-sticky": "^6.0.3",
    "react-virtualized": "^9.22.5",
    "recharts": "^2.12.2",
    "redux": "^5.0.1",
    "redux-persist": "^6.0.0",
    "redux-saga": "^1.3.0",
    "redux-state-sync": "^3.1.4",
    "reselect": "^5.1.0",
    "sass": "^1.71.1",
    "socket.io-client": "^4.7.4",
    "styled-components": "^6.1.8",
    "subscriptions-transport-ws": "^0.11.0",
    "terser-webpack-plugin": "^5.3.10",
    "userpilot": "^1.3.1",
    "vite-plugin-ejs": "^1.7.0",
    "web-vitals": "^3.5.2",
    "workbox-core": "^7.0.0",
    "workbox-expiration": "^7.0.0",
    "workbox-navigation-preload": "^7.0.0",
    "workbox-precaching": "^7.0.0",
    "workbox-routing": "^7.0.0",
    "workbox-strategies": "^7.0.0"
  },
  "scripts": {
    "analyze": "source-map-explorer 'build/static/js/*.js'",
    "start": "vite",
    "build": "vite build",
    "start:imex": "dotenvx run --env-file=.env.development.imex -- vite",
    "start:rome": "dotenvx run --env-file=.env.development.rome -- vite",
    "start:promanager": "dotenvx run --env-file=.env.development.promanager -- vite",
    "build:test:imex": "env-cmd -f .env.test.imex npm run build",
    "build:test:rome": "env-cmd -f .env.test.rome npm run build",
    "build:test:promanager": "env-cmd -f .env.test.promanager npm run build",
    "build:production:imex": "env-cmd -f .env.production.imex npm run build",
    "build:production:rome": "env-cmd -f .env.production.rome npm run build",
    "build:production:promanager": "env-cmd -f .env.production.promanager npm run build",
    "test": "cypress open",
    "eject": "react-scripts eject",
    "madge": "madge  --image ./madge-graph.svg --extensions js,jsx,ts,tsx --circular .",
    "eulaize": "node src/utils/eulaize.js",
    "sentry:sourcemaps:imex": "sentry-cli sourcemaps inject --org imex --project imexonline ./build && sentry-cli sourcemaps upload --org imex --project imexonline ./build"
  },
  "eslintConfig": {
    "extends": [
      "react-app",
      "react-app/jest",
      "plugin:cypress/recommended"
    ]
  },
  "browserslist": {
    "production": [
      ">0.2%",
      "not dead",
      "not op_mini all"
    ],
    "development": [
      "last 1 chrome version",
      "last 1 firefox version",
      "last 1 safari version"
    ]
  },
  "resolutions": {
    "react-error-overlay": "6.0.9"
  },
  "optionalDependencies": {
    "@rollup/rollup-linux-x64-gnu": "4.6.1"
  },
  "devDependencies": {
    "@babel/plugin-proposal-private-property-in-object": "^7.21.11",
    "@babel/preset-react": "^7.23.3",
    "@dotenvx/dotenvx": "^0.15.4",
    "@emotion/babel-plugin": "^11.11.0",
    "@emotion/react": "^11.11.3",
    "@sentry/webpack-plugin": "^2.14.2",
    "@swc/core": "^1.3.107",
    "@swc/plugin-styled-components": "^1.5.108",
    "@testing-library/cypress": "^10.0.1",
    "browserslist": "^4.22.3",
    "browserslist-to-esbuild": "^2.1.1",
    "cross-env": "^7.0.3",
    "cypress": "^13.6.6",
    "eslint": "^8.57.0",
    "eslint-config-react-app": "^7.0.1",
    "eslint-plugin-cypress": "^2.15.1",
    "memfs": "^4.6.0",
    "os-browserify": "^0.3.0",
    "react-error-overlay": "6.0.11",
    "redux-logger": "^3.0.6",
    "source-map-explorer": "^2.5.3",
    "vite": "^5.0.11",
    "vite-plugin-babel": "^1.2.0",
    "vite-plugin-eslint": "^1.8.1",
    "vite-plugin-legacy": "^2.1.0",
    "vite-plugin-node-polyfills": "^0.19.0",
    "vite-plugin-pwa": "^0.19.0",
    "vite-plugin-style-import": "^2.0.0"
  }
}
